.TH SO "1"


.SH NAME

so - makes a command to only output on error


.SH USAGE

.TP
.SS On terminal

so [-tag] [commands]


.TP
.SS On scripts

so () {  /bin/so "-${FUNCNAME[1]}" "${@}"  }

so [commands]


.SH "LEGEND"

.TP
.SS [commands]
The commands to execute.

.TP
.SS [-tag]
Optionally a tag to show before any error, to help pinpoint its location. [commands] is automatically appended at the end of the tag. If you only type '-', only [commands] forms the tag.


.SH "NOTES"

- Danger: if [commands] asks any question, 'so' won't answer it by itself. Instead it will wait forever for the command to terminate.

- Only the last 100 lines of errors will be printed.

